Opened 6 years ago

Closed 3 years ago

#1629 closed defect (worksforme)

logging with garbage in it

Reported by: jreed Owned by: UnAssigned
Priority: medium Milestone: Remaining BIND10 tickets
Component: logging Version: git
Keywords: Cc:
CVSS Scoring: Parent Tickets:
Sensitive: no Defect Severity: N/A
Sub-Project: DNS Feature Depending on Ticket:
Estimated Difficulty: 8 Add Hours to Ticket: 0
Total Hours: 0 Internal?: no

Description

See https://lists.isc.org/pipermail/bind10-dev/2011-December/002901.html

There was a timeout in a lettuce test on December 6.

Wait for bind10 stderr message CMDCTL_STARTED

The stderr output has garbage in it. (I piped through cat -v so I could
paste it.)

2011-12-06 02:13:57.560 DEBUG [b10-stats-httpd.stats-httpd] 
STATHTTPD_STARTING_CC_SESSION starting cc session
2011-12-06 02:13:57.567 DEBUG [b10-stats-httpd.config] 
CONFIG_LOG_IGNORE_EXPLICIT ignoring logging configuration for 
explicitly-named logger auth
2011-12-06 02:13:57.579 INFO  [b10-xfrout.xfrout] XFROUT_NEW_CONFIG 
Update xfrout configuration
2011-12-06 02:13:57.579 
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@INFO^@ EBUG^@ 
[^@^@b10-xfrout.xfrout^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@] 
^@^@XFROUT_NEW_CONFIG_DONE Update xfrout configuration 
done27.0.0.1:47805^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@
^@2011-12-06 02:13:57.585 INFO  [b10-stats-httpd.stats-httpd] 
STATHTTPD_STARTED listening on 127.0.0.1#8000
2011-12-06 02:14:07.808 INFO  [b10-boss.boss] BIND10_RECEIVED_SIGNAL 
received signal SIGTERM

Today on same system (macmini) I saw another corrupted log file (seen in failing systest):

macmini:system jreed$ grep -a -1 '[[:cntrl:]]' ./ixfr/in-2/nsx2/bind10.run | cat -v
2012-01-25 03:58:52.408 DEBUG [b10-cmdctl.cmdctl] CMDCTL_STARTED cmdctl is listening for connections on 127.0.0.1:8080
2012-01-25 03:58:52.429 012-01-25 03:58:52.428^@IINFO ^@^@^@ ^@ [^@^@b10-xfrout.xfrouttats-httpd^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@] ^@^@XFROUT_NEW_CONFIG Update xfrout configuration^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@
^@2012-01-25 03:58:52.429 INFO  [b10-xfrout.xfrout] XFROUT_NEW_CONFIG_DONE Update xfrout configuration done
2012-01-25 03:59:07.946 INFO  [b10-xfrin.xfrin] XFRIN_XFR_TRANSFER_STARTED IXFR transfer of zone example/IN started

Looks like corruption in same place.

Subtickets

Change History (22)

comment:1 Changed 6 years ago by jelte

  • Milestone changed from New Tasks to Next-Sprint-Proposed

comment:2 Changed 6 years ago by jelte

  • Estimated Difficulty changed from 0 to 8

comment:3 Changed 6 years ago by jreed

Problem continues. Login to macmini and run:

find ~jreed/builder/work/BIND10-systest/*/build/tests/system/ -name "bind10.run" | xargs grep -a "[[:cntrl:]]" | cat -v

For example:

macmini:BIND10-systest jreed$ find ~jreed/builder/work/BIND10-systest/*/build/tests/system/ -name "bind10.run" | xargs grep -a "[[:cntrl:]]" | cat -v | head
20120203194500-MacOS/build/tests/system//bindctl/nsx1/bind10.run:^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@ DEBUG [b10-cmdctl.cmdctl] CMDCTL_STARTED cmdctl is listening for connections on 127.0.0.1:8080
20120203194500-MacOS/build/tests/system//bindctl/nsx1/bind10.run:^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@2012-02-03 11:58:29.250 DEBUG [b10-auth.cc] CC_GROUP_RECEIVE trying to receive a message
20120203194500-MacOS/build/tests/system//bindctl/nsx1/bind10.run:^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@ INFO  [b10-stats.stats] STATS_STARTING starting

comment:4 Changed 6 years ago by jelte

  • Milestone changed from Year 3 Task Backlog to Next-Sprint-Proposed

comment:5 Changed 6 years ago by jelte

  • Milestone changed from Next-Sprint-Proposed to Sprint-20120403

comment:6 Changed 6 years ago by jreed

Also saw this in my NetBSD forwarding resolver logs:

2012-03-02 12:04:25.084 DEBUG [b10-auth.cc] CC_GROUP_RECEIVED message arrived ('{ "from": "4f4eab8f_4@t1.m.reedmedia.net", "group": "Stats", "instance": "*", "reply": 2592, "seq": 7820, "to": "4f4eab8f_8@t1.m.reedmedia.net", "type": "send" }', '{ "result": [ 0 ] }')
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@2012-03-02 12:31:12.567 INFO  [b10-boss.boss] BIND10_STARTING starting BIND10: bind10 20110223 (BIND 10 20120301)
2012-03-02 12:31:12.590 DEBUG [b10-boss.boss] BIND10_CHECK_MSGQ_ALREADY_RUNNING checking if msgq is already running

comment:7 Changed 6 years ago by jinmei

Does this still happen? We recently changed initialization of
logging, which might be related to this issue.

comment:8 Changed 6 years ago by jinmei

  • Owner set to jreed
  • Status changed from new to assigned

comment:9 Changed 6 years ago by jreed

I don't see any in recent systest outputs. I can check it again in a few days.

(I thought I opened a ticket to not remove lettuce output, but I don't see it now. I can't check recent as it was removed.)

comment:10 follow-up: Changed 6 years ago by jreed

Saw this again, but was in the trac1818 branch:

2012-04-12 04:56:02.931 DEBUG [b10-auth.cc] CC_ESTABLISHED successfully connected to message queue daemon
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@ DEBUG [b10-auth.datasrc] DATASRC_CACHE_CREATE creating the hotspot cache

comment:11 in reply to: ↑ 10 ; follow-up: Changed 6 years ago by jinmei

Replying to jreed:

Saw this again, but was in the trac1818 branch:

2012-04-12 04:56:02.931 DEBUG [b10-auth.cc] CC_ESTABLISHED successfully connected to message queue daemon
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@ DEBUG [b10-auth.datasrc] DATASRC_CACHE_CREATE creating the hotspot cache

In http://bind10.isc.org/ticket/1629#comment:7 I meant #1698. Since
trac1818 already contains the fix, my guess about this was wrong.

comment:12 Changed 6 years ago by jreed

  • Owner changed from jreed to UnAssigned

comment:13 Changed 6 years ago by jreed

Suggestion at F2F was to provide a temporary instrumented version that detects the Ctrl-@ and aborts so we can track down where this comes from.

comment:14 Changed 6 years ago by jreed

We discussed this on the May 8, 2012 bi-weekly conference call.

comment:15 follow-up: Changed 6 years ago by wilx

(I am not sure if I have not asked elsewhere already.)

Could you please provide complete configure script command line that you have used to build log4cplus?

comment:16 in reply to: ↑ 15 Changed 6 years ago by jreed

Replying to wilx:

(I am not sure if I have not asked elsewhere already.)

Could you please provide complete configure script command line that you have used to build log4cplus?

On the NetBSD system it was log4cplus-1.0.4

--prefix=/usr/pkg --build=x86_64--netbsd --host=x86_64--netbsd --mandir=/usr/pkg/man

The shell environment had:
LIBTOOL="libtool " INSTALL_INFO= MAKEINFO=/usr/pkgsrc/new/log4cplus/work/.tools/bin/makeinfo AWK=/usr/bin/awk CAT=/bin/cat ac_cv_path_CAT=/bin/cat CHMOD=/bin/chmod CMP=/usr/bin/cmp CP=/bin/cp DIFF=/usr/bin/diff ECHO=echo ac_cv_path_ECHO=echo EGREP=/usr/bin/egrep ac_cv_path_EGREP=/usr/bin/egrep SETENV=/usr/bin/env ENV_PROG=/usr/bin/env ac_cv_path_ENV=/usr/bin/env FALSE=false ac_cv_path_FALSE=false FIND=/usr/bin/find GREP=/usr/bin/grep ac_cv_path_GREP=/usr/bin/grep HOSTNAME=/bin/hostname LN=/bin/ln LS=/bin/ls MKDIR=/bin/mkdir\ -p MV=/bin/mv RM=/bin/rm RMDIR=/bin/rmdir SED=/usr/bin/sed SORT=/usr/bin/sort TAR=/bin/tar TEST=test ac_cv_path_TEST=test TOUCH=/usr/bin/touch TR=/usr/bin/tr TRUE=true ac_cv_path_TRUE=true PKG_CONFIG= PKG_CONFIG_LIBDIR=/usr/pkgsrc/new/log4cplus/work/.buildlink/lib/pkgconfig:/usr/pkgsrc/new/log4cplus/work/.buildlink/share/pkgconfig PKG_CONFIG_LOG=/usr/pkgsrc/new/log4cplus/work/.pkg-config.log PKG_CONFIG_PATH= MAKE=make WRAPPER_DEBUG=no WRAPPER_UPDATE_CACHE=yes CC=cc CFLAGS=-O2 CPPFLAGS= CXX=c++ CXXFLAGS=-O2 COMPILER_RPATH_FLAG=-Wl,-R F77=f77 FC=f77 FFLAGS=-O GCJ= LANG=C LC_COLLATE=C LC_CTYPE=C LC_MESSAGES=C LC_MONETARY=C LC_NUMERIC=C LC_TIME=C LDFLAGS=-s\ -Wl,-R/usr/pkg/lib LINKER_RPATH_FLAG=-R PATH=/usr/pkgsrc/new/log4cplus/work/.wrapper/bin:/usr/pkgsrc/new/log4cplus/work/.buildlink/bin:/usr/pkgsrc/new/log4cplus/work/.gcc/bin:/usr/pkgsrc/new/log4cplus/work/.tools/bin:/usr/pkg/bin:/home/reed/bin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/pkg/bin:/usr/X11R6/bin:/usr/pkg/sbin:/usr/games:/usr/local/bin:/usr/local/sbin:/usr/pkg/X11R6/bin:/usr/pkg/bin:/usr/pkg/bin PREFIX=/usr/pkg PKG_SYSCONFDIR=/usr/pkg/etc GCJ= HOME=/usr/pkgsrc/new/log4cplus/work/.home CONFIG_SHELL=/bin/sh LIBS= ac_given_INSTALL=/usr/bin/install\ -c\ -o\ reed\ -g\ users lt_cv_sys_max_cmd_len=262144

On the MacOSX system, it is same version and similar environment:

--prefix=/Local/Users?/jreed/opt/pkg --build=i386-apple-darwin10 --host=i386-apple-darwin10 --mandir=/Local/Users?/jreed/opt/pkg/man

LIBTOOL="libtool " INSTALL_INFO= MAKEINFO=/Local/Users?/jreed/pkgsrc/devel/log4cplus/work/.tools/bin/makeinfo AWK=/usr/bin/awk CAT=/bin/cat ac_cv_path_CAT=/bin/cat CHMOD=/bin/chmod CMP=/usr/bin/cmp CP=/bin/cp DIFF=/usr/bin/diff ECHO=echo ac_cv_path_ECHO=echo EGREP=/usr/bin/egrep ac_cv_path_EGREP=/usr/bin/egrep SETENV=/usr/bin/env ENV_PROG=/usr/bin/env ac_cv_path_ENV=/usr/bin/env FALSE=false ac_cv_path_FALSE=false FIND=/usr/bin/find GREP=/usr/bin/grep ac_cv_path_GREP=/usr/bin/grep HOSTNAME=/bin/hostname LN=/bin/ln LS=/bin/ls MKDIR=/bin/mkdir\ -p MV=/bin/mv RM=/bin/rm RMDIR=/bin/rmdir SED=/usr/bin/sed SORT=/usr/bin/sort TAR=/usr/bin/tar TEST=test ac_cv_path_TEST=test TOUCH=/usr/bin/touch TR=/usr/bin/tr TRUE=true ac_cv_path_TRUE=true PKG_CONFIG= PKG_CONFIG_LIBDIR=/Local/Users?/jreed/pkgsrc/devel/log4cplus/work/.buildlink/lib/pkgconfig:/Local/Users/jreed/pkgsrc/devel/log4cplus/work/.buildlink/share/pkgconfig PKG_CONFIG_LOG=/Local/Users?/jreed/pkgsrc/devel/log4cplus/work/.pkg-config.log PKG_CONFIG_PATH= MAKE=make WRAPPER_DEBUG=no WRAPPER_UPDATE_CACHE=yes CC=gcc CFLAGS=-pipe\ -O2 CPPFLAGS=-no-cpp-precomp\ -isystem\ /usr/include CXX=g++ CXXFLAGS=-pipe\ -O2 COMPILER_RPATH_FLAG=-L F77=f77 FC=f77 FFLAGS=-O LANG=C LC_COLLATE=C LC_CTYPE=C LC_MESSAGES=C LC_MONETARY=C LC_NUMERIC=C LC_TIME=C LDFLAGS=-L/Local/Users/jreed/opt/pkg/lib LINKER_RPATH_FLAG=-L PATH=/Local/Users?/jreed/pkgsrc/devel/log4cplus/work/.wrapper/bin:/Local/Users/jreed/pkgsrc/devel/log4cplus/work/.buildlink/bin:/Local/Users/jreed/pkgsrc/devel/log4cplus/work/.gcc/bin:/Local/Users/jreed/pkgsrc/devel/log4cplus/work/.tools/bin:/Local/Users/jreed/opt/pkg/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11/bin:/Local/Users/jreed/opt/pkg/bin:/usr/X11/bin PREFIX=/Local/Users?/jreed/opt/pkg PKG_SYSCONFDIR=/Local/Users?/jreed/opt/pkg/etc HOME=/Local/Users?/jreed/pkgsrc/devel/log4cplus/work/.home CONFIG_SHELL=/bin/sh LIBS= ac_given_INSTALL=/usr/bin/install\ -c\ -o\ jreed\ -g\ 1007 lt_cv_sys_max_cmd_len=262144

comment:17 in reply to: ↑ 11 Changed 6 years ago by stephen

Replying to jinmei:

Replying to jreed:

Saw this again, but was in the trac1818 branch:

2012-04-12 04:56:02.931 DEBUG [b10-auth.cc] CC_ESTABLISHED successfully connected to message queue daemon
^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@^@ DEBUG [b10-auth.datasrc] DATASRC_CACHE_CREATE creating the hotspot cache

Probably stating the obvious, but the ^@ characters are in the position where the date and time should be. Also, there are 23 of them, which is the same number of characters in the "YYYY-MM-DD HH:MM:SS.sss" format we use. This pattern also occurs in comment:10 and comment:3. As the date and time are generated within log4cplus, this does seem to suggest that the problem lies there.

Other examples are different (although the first corrupted line in the example giving in the description of this ticket contains 23 consecutive ^@ characters), but some of these may be due to the problem we've had with multiple processes getting their logging output mixed up.

comment:18 Changed 6 years ago by wilx

If this is being caused by the concurrent writes from multiple processes then only log4cplus 1.1.x or trunk branch can resolve this. TBH, I could imagine interleaved output but the NULs there baffle me.

Could you please try with log4cplus 1.1.0-RC5 or with trunk branch (bzr://log4cplus.bzr.sourceforge.net/bzrroot/log4cplus/trunk)?

FileAppender and RollingFileAppender on those branches supports inter-process locking using lock files. To use it, see FileAppender docs. Basically, you would have to add UseLockFile=true to your log4cplus configuration file. You can change the lock file path and name using property LockFile.

comment:19 Changed 6 years ago by shane

  • Milestone Sprint-20120703 deleted

We're taking this off the sprint, so it won't get addressed in the next 2 weeks. We will come back to it, but not in the near term.

comment:21 Changed 4 years ago by tomek

  • Milestone set to Remaining BIND10 tickets

comment:22 Changed 3 years ago by tomek

  • Resolution set to worksforme
  • Status changed from assigned to closed
  • Version set to git

Looks like bind10 specific issue that does not apply to kea. Closing.

Note: See TracTickets for help on using tickets.